View Issue Details

IDProjectCategoryView StatusLast Update
0002521OpenFOAMPatchpublic2017-04-13 10:37
ReporterJuhoAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Versiondev 
Fixed in Versiondev 
Summary0002521: Wall boiling model refinements
DescriptionRefinements for the wall boiling model:

Changes:

alphatWallBoilingWallFunctionFvPatchScalarField:
1. Provide Qe() and Qq() member functions for evaporative and quenching heat fluxes for postprocessing. Store and read Qq.
2. Use Qe() in the alphat calculation to make sure the the thermal diffusivity is consistent with the dmdt and mDotL.
3. Do not limit the maximum of the estimated y+ = 250 liquid temperature to cell temperature. On a coarse grids it can be higher.
4. Allow negative subcooling temperature in Del Valle & Kenning (1985) area fraction calculation. Limit the exp() power to log(VGREAT) to avoid possible fpe.
5. Removed extraneous fLiquid calculation.

nucleationSiteModel & departureDiameterModel:
Provide saturation temperature, liquid temperature and latent heat calculated by the alphatWallBoilingWallFunctionFvPatchScalarField to the submodels in order to make implementation of new models more simple and consistent.

TolubinskiKostanchuk: Make model parameters user modifiable.

LemmertChawla: A user modifiable coefficient
TagsreactingtwoPhaseEulerFoam, wallBoiling

Activities

Juho

2017-04-06 08:16

reporter  

wallBoilingUpdate_20170406.tar.gz (9,474 bytes)

Juho

2017-04-11 08:36

reporter   ~0008024

I've attached an updated version of the patch where the heat fluxes are renamed Q -> q in order to be consistent with OpenFOAM naming convention.

wallBoilingUpdate_20170411.tar.gz (9,476 bytes)

henry

2017-04-13 10:37

manager   ~0008027

Thanks for the updates

Resolved by commit 95ab9a5f6702cb2a7f314f70a262b94c4a9330e6

Issue History

Date Modified Username Field Change
2017-04-06 08:16 Juho New Issue
2017-04-06 08:16 Juho File Added: wallBoilingUpdate_20170406.tar.gz
2017-04-06 08:16 Juho Tag Attached: reactingTwoPhaseEulerFoam wallBoiling
2017-04-06 08:16 Juho Tag Detached: reactingTwoPhaseEulerFoam wallBoiling
2017-04-06 08:17 Juho Tag Attached: reactingtwoPhaseEulerFoam
2017-04-06 08:17 Juho Tag Attached: wallBoiling
2017-04-11 08:36 Juho File Added: wallBoilingUpdate_20170411.tar.gz
2017-04-11 08:36 Juho Note Added: 0008024
2017-04-13 10:37 henry Assigned To => henry
2017-04-13 10:37 henry Status new => resolved
2017-04-13 10:37 henry Resolution open => fixed
2017-04-13 10:37 henry Fixed in Version => dev
2017-04-13 10:37 henry Note Added: 0008027